package cc.smtweb.framework.core.util;

import lombok.extern.slf4j.Slf4j;

import java.io.FileInputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.nio.charset.StandardCharsets;

/**
 * Created by Akmm at 2022/7/4 21:37
 * 文件操作处理
 */
@Slf4j
public class FileUtil {
    /**
     * 从fn中读取所有内容
     *
     * @param fn 源文件名
     * @return byte[]
     */
    public static byte[] readFileByte(String fn) {
        try {
            FileInputStream fis = new FileInputStream(fn);
            byte[] data = new byte[fis.available()];
            fis.read(data, 0, data.length);
            fis.close();
            return data;
        } catch (IOException e) {
            log.error(e.getMessage(), e);
            return null;
        }
    }

    public static String readFileStr(String fn) {
        return readFileStr(fn, StandardCharsets.UTF_8.toString());
    }

    public static String readFileStr(String fn, String encode) {
        byte[] bytes = readFileByte(fn);
        if (bytes == null) return null;
        try {
            return new String(bytes, encode);
        } catch (UnsupportedEncodingException e) {
            log.error(e.getMessage(), e);
            return null;
        }
    }
}
